Vla-put-textgap

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-textgap vla-object gap )


機能
寸法値を収めるために寸法線を中断する場合の寸法値と寸法線の間の距離を指定する。


引数
  • vla-object … VLAオブジェクト(Dim3PointAngular、DimAligned、DimAngular、DimArcLength、DimDiametric、Dimension、DimOrdinate、DimRadial、DimRadialLarge、DimRotated、Leader)
  • gap … ギャップの距離を指定する実数。


戻り値
nil


  • MEMO:このプロパティは、Leader オブジェクトの注釈とフック ラインの間のギャップも設定する。
  • 負の値を指定すると、基本的な寸法記入(周りをボックスで囲まれた寸法値の記入)が行われる。
  • 注 : このプロパティは、指定された寸法でシステム変数 DIMGAP[寸法ギャップ]の値を変更する。


サンプル
(vl-load-com)
(defun c:Example_TextGap()
    ;; 寸法を作成してギャップを変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; 寸法の設定
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 5.5 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; 寸法を作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    (vla-ZoomAll acadObj)

    ;; ギャップの設定を取得
    (alert (strcat "現在の寸法のギャップ設定は : " (rtos (vla-get-TextGap dimObj) 2)))

    ;; 変更
    (vla-put-TextGap dimObj 0.5)
    (vla-Regen doc acAllViewports)
    
    ;; 取得
    (alert (strcat "新しい法のギャップ設定は : " (rtos (vla-get-TextGap dimObj) 2)))
)

関連事項